> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all application sessions for this account.




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /app/sessions
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /app/sessions:
    get:
      tags:
        - ApplicationSessions
      summary: List
      description: |
        List all application sessions for this account.
      operationId: ApplicationSessionsList
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: before_id
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: |
            List all application sessions for this account.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplicationSessionList'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    ApplicationSessionList:
      type: object
      properties:
        application_sessions:
          description: |
            list of all application sessions on this account
          type: array
          items:
            $ref: '#/components/schemas/ApplicationSession'
        uri:
          description: |
            URI of the application session list API resource
          type: string
        next_page_uri:
          description: |
            URI of the next page, or null if there is no next page
          type: string
    ApplicationSession:
      type: object
      properties:
        id:
          description: |
            unique application session resource identifier
          type: string
        uri:
          description: |
            URI of the application session API resource
          type: string
        public_url:
          description: |
            URL of the hostport served by this endpoint
          type: string
        browser_session:
          $ref: '#/components/schemas/BrowserSession'
          description: |
            browser session details of the application session
        application_user:
          $ref: '#/components/schemas/Ref'
          description: |
            application user this session is associated with
        created_at:
          description: |
            timestamp when the user was created in RFC 3339 format
          type: string
        last_active:
          description: |
            timestamp when the user was last active in RFC 3339 format
          type: string
        expires_at:
          description: |
            timestamp when session expires in RFC 3339 format
          type: string
        endpoint:
          $ref: '#/components/schemas/Ref'
          description: |
            ephemeral endpoint this session is associated with
        edge:
          $ref: '#/components/schemas/Ref'
          description: >
            edge this session is associated with, null if the endpoint is
            agent-initiated
        route:
          $ref: '#/components/schemas/Ref'
          description: >
            route this session is associated with, null if the endpoint is
            agent-initiated
    BrowserSession:
      type: object
      properties:
        user_agent:
          $ref: '#/components/schemas/UserAgent'
          description: |
            HTTP User-Agent data
        ip_address:
          description: |
            IP address
          type: string
        location:
          $ref: '#/components/schemas/Location'
          description: |
            IP geolocation data
    Ref:
      type: object
      properties:
        id:
          description: |
            a resource identifier
          type: string
        uri:
          description: |
            a uri for locating a resource
          type: string
    UserAgent:
      type: object
      properties:
        raw:
          description: |
            raw User-Agent request header
          type: string
        browser_name:
          description: |
            browser name (e.g. Chrome)
          type: string
        browser_version:
          description: |
            browser version (e.g. 102)
          type: string
        device_type:
          description: |
            type of device (e.g. Desktop)
          type: string
        os_name:
          description: |
            operating system name (e.g. MacOS)
          type: string
        os_version:
          description: |
            operating system version (e.g. 10.15.7)
          type: string
    Location:
      type: object
      properties:
        country_code:
          description: |
            ISO country code
          type: string
        latitude:
          description: |
            geographical latitude
          type: number
        longitude:
          description: |
            geographical longitude
          type: number
        lat_long_radius_km:
          description: |
            accuracy radius of the geographical coordinates
          type: integer
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````